|
reSIProcate
SIP stack, Dialog Usage Manager and related libraries
|
#include "rutil/HeapInstanceCounter.hxx"#include "rutil/compat.hxx"#include "rutil/Socket.hxx"#include "rutil/BaseException.hxx"#include "DnsResourceRecord.hxx"#include "DnsHostRecord.hxx"#include "DnsCnameRecord.hxx"#include "DnsAAAARecord.hxx"#include "DnsSrvRecord.hxx"#include "DnsNaptrRecord.hxx"Go to the source code of this file.
Namespaces | |
| namespace | resip |
| dcm! – add UnusedChecking(_enum) below; | |
Macros | |
| #define | defineQueryType(_name, _type, _rrType, _supportsCName, _rfc) |
Functions | |
| resip::defineQueryType (A, DnsHostRecord, 1, true, "RFC 1035") | |
| resip::defineQueryType (CNAME, DnsCnameRecord, 5, false, "RFC 1035") | |
| resip::defineQueryType (AAAA, DnsAAAARecord, 28, true, "RFC 3596") | |
| resip::defineQueryType (SRV, DnsSrvRecord, 33, true, "RFC 2782") | |
| resip::defineQueryType (NAPTR, DnsNaptrRecord, 35, true, "RFC 2915") | |
Definition at line 29 of file QueryTypes.hxx.